Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.tomcat
Class TomcatLoader.DirectoryFilter

    java.lang.Object
      org.red5.server.tomcat.TomcatLoader.DirectoryFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  TomcatLoader

    protected static final class TomcatLoader.DirectoryFilter

extends Object
implements FilenameFilter

Filters directory content

Constructor Summary
`protected` | `TomcatLoader.DirectoryFilter()`

Method Summary
`boolean` | `accept(File dir, String name)` Check whether file matches filter rules

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TomcatLoader.DirectoryFilter

    protected TomcatLoader.DirectoryFilter()

Method Detail

### accept

    public boolean accept(File dir,
                          String name)

  Check whether file matches filter rules

  Specified by:
    `accept` in interface `FilenameFilter`
  Parameters:
    `dir` - Directory
    `name` - File name
  Returns:
    true If file does match filter rules, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project